unit Hgdate;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Grids, Enhcalnd, Navigate;

type
  TDateDlg = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    StringsCalendar1: TStringsCalendar;
    CalendarNav1: TCalendarNav;
    procedure XCalendar1DblClick(Sender: TObject);
    procedure XCalendar1DateChange(Sender: TObject; NewDate: TDateTime);
  private
    { Private declarations }
    FDate: TDateTime;
    procedure SetPopupDate(Value: TDateTime);
  public
    { Public declarations }
    property PopupDate: TDateTime read FDate write SetPopupDate;
  end;

var
  DateDlg: TDateDlg;

implementation

{$R *.DFM}

procedure TDateDlg.SetPopupDate(Value: TDateTime);
begin
  FDate := Value;
  StringsCalendar1.CalendarDate := FDate;
end;

procedure TDateDlg.XCalendar1DblClick(Sender: TObject);
begin
  FDate := StringsCalendar1.CalendarDate;
  if not (DateToStr(PopupDate) = '') then ModalResult := mrOK;
end;

procedure TDateDlg.XCalendar1DateChange(Sender: TObject;
  NewDate: TDateTime);
var
 cDate: String;
begin
   cDate := FormatDateTime('mmmm d, yyyy', NewDate);
   Caption := cDate;
end;

end.
